Bug 556201 - Article_Info.xml created with no line breaks on Red Hat Enterprise Linux 5
Article_Info.xml created with no line breaks on Red Hat Enterprise Linux 5
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Jeff Fearn
Joshua Wulf
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-16 23:09 EST by Murray McAllister
Modified: 2015-01-04 17:36 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-28 19:19:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2010-01-16 23:09:20 EST
Description of problem:
When creating a new Article, Article_Info.xml is created with no line breaks, making it hard to parse (by my mere human eyes).

Version-Release number of selected component (if applicable):
publican-1.3-0.el5

How reproducible:
Always, for me.

Steps to Reproduce:
1. `publican create --name=Test_Article --type=Article --brand=RedHat`
2. `cat Test_Article/en-US/Article_Info.xml`
3.
  
Actual results:
<articleinfo><title>Test_Article</title><subtitle>short description</subtitle><productname>Documentation</productname> ...

Expected results:
<articleinfo>
            <title>
            <subtitle>

Additional info:
Tried with --brand=Fedora too. Same results.
Comment 1 Murray McAllister 2010-01-17 00:11:46 EST
Please close. I should not push preferred formatting on everyone...Sorry!
Comment 2 Jeff Fearn 2010-01-19 22:12:02 EST
Added call to clean id's when creating books.

FYI other people have informally requested this.
Comment 3 Fedora Update System 2010-01-28 21:05:46 EST
publican-1.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.4-1.fc12
Comment 4 Fedora Update System 2010-01-28 21:07:04 EST
publican-1.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.4-1.fc11
Comment 5 Fedora Update System 2010-01-31 20:13:55 EST
publican-1.4-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2010-01-31 20:22:15 EST
publican-1.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-02-26 00:24:15 EST
publican-1.5-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc12
Comment 8 Fedora Update System 2010-02-26 00:27:52 EST
publican-1.5-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc13
Comment 9 Fedora Update System 2010-02-26 00:28:03 EST
publican-1.5-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc11
Comment 10 Fedora Update System 2010-02-26 00:28:10 EST
publican-1.5-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc12
Comment 11 Fedora Update System 2010-02-26 00:30:25 EST
publican-1.5-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc13
Comment 12 Fedora Update System 2010-02-26 00:34:29 EST
publican-1.5-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc11
Comment 13 Fedora Update System 2010-02-26 22:29:01 EST
publican-1.5-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-02-26 22:44:50 EST
publican-1.5-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.